//
//  MapScroller.m
//  Skyway Guide
//
//  Created by Christopher Taylor on 2/13/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "MapScroller.h"


@implementation MapScroller

- (id)initWithFrame:(CGRect)frame 
{
	return [super initWithFrame:frame];
}


- (void) touchesBegan: (NSSet *) touches withEvent: (UIEvent *) event 
{	
//	NSLog(@"touch began event: %@",event);
	// If not dragging, send event to next responder
	if (!self.dragging) 
		[self.nextResponder touchesBegan:touches withEvent:event]; 
	else {
		[super touchesBegan: touches withEvent: event];
		
	}
}
- (void) touchesEnded: (NSSet *) touches withEvent: (UIEvent *) event 
{	
//	NSLog(@"touch ended event: %@",event);
	// If not dragging, send event to next responder
	if (!self.dragging) 
		[self.nextResponder touchesEnded: touches withEvent:event]; 
	else {
		[super touchesEnded: touches withEvent: event];
		
	}
}

@end

